Package org.opensaml.security.httpclient.impl

# Class BasicHttpClientSecurityParametersResolver

java.lang.Object
org.opensaml.security.httpclient.impl.BasicHttpClientSecurityParametersResolver

All Implemented Interfaces:
  `Resolver<HttpClientSecurityParameters,CriteriaSet>`, `HttpClientSecurityParametersResolver`

public class BasicHttpClientSecurityParametersResolver extends Object implements HttpClientSecurityParametersResolver
Basic implementation of `HttpClientSecurityParametersResolver`.

The following `Criterion` inputs are supported:

- `HttpClientSecurityConfigurationCriterion` - required

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`BasicHttpClientSecurityParametersResolver()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`logResult(HttpClientSecurityParameters params)`
Log the resolved parameters.
`Iterable<HttpClientSecurityParameters>`
`resolve(CriteriaSet criteria)`
`protected void`
`resolveAndPopulateParams(HttpClientSecurityParameters params, CriteriaSet criteria)`
Resolve and populate all parameters.
`HttpClientSecurityParameters`
`resolveSingle(CriteriaSet criteria)`
`protected boolean`
`validate(HttpClientSecurityParameters params)`
Validate that the `HttpClientSecurityParameters` instance has all the required properties populated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### BasicHttpClientSecurityParametersResolver

public BasicHttpClientSecurityParametersResolver()

## Method Details

### resolve

@Nonnull public Iterable<HttpClientSecurityParameters> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolve` in interface `Resolver<HttpClientSecurityParameters,CriteriaSet>`
Throws:
  `ResolverException`

### resolveSingle

@Nullable public HttpClientSecurityParameters resolveSingle(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolveSingle` in interface `Resolver<HttpClientSecurityParameters,CriteriaSet>`
Throws:
  `ResolverException`

### resolveAndPopulateParams

protected void resolveAndPopulateParams(@Nonnull HttpClientSecurityParameters params, @Nonnull CriteriaSet criteria)
Resolve and populate all parameters.

Parameters:
  `params` - the parameters instance to populate
  `criteria` - the criteria to process

### validate

protected boolean validate(@Nonnull HttpClientSecurityParameters params)
Validate that the `HttpClientSecurityParameters` instance has all the required properties populated.

Parameters:
  `params` - the parameters instance to evaluate
Returns:
  true if parameters instance passes validation, false otherwise

### logResult

protected void logResult(@Nonnull HttpClientSecurityParameters params)
Log the resolved parameters.

Parameters:
  `params` - the resolved param